Ubuntu

[FFe] merge conkeror 0.9.1+git100220-1 from debian testing to get xulrunner-1.9.2 support

Reported by Micah Gersten on 2010-03-12
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
conkeror (Ubuntu)
Medium
Chris Coulson

Bug Description

New Version requested with xulrunner-1.9.2 support.
See: https://blueprints.edge.launchpad.net/ubuntu/+spec/desktop-lucid-new-firefox-support-model

Test Packages staged here:
https://edge.launchpad.net/~mozillateam/+archive/ffox35/+packages

Builds fine on i386 and amd64

------------------------------------------------------

Binary package hint: conkeror

From Axel Beckert in bug 537187:

Hi,

On Thu, Mar 11, 2010 at 08:51:03AM -0000, Rolf Leggewie wrote:
> ** Affects: conkeror (Ubuntu)
> Importance: Undecided
> Status: New

This is already fixed in the repo[1] and will be uploaded to Debian
unstable soon, i.e. with the next upload. I run Conkeror snapshots
with the preview release of Debian's xulrunner-1.9.2 since its release
without problems.

  [1] http://repo.or.cz/w/conkeror.git/commitdiff/cbc2e88fe750160adad66d8f8648493856e78c88

And since the conkeror wrapper in /usr/bin/conkeror works fine again
with Ubuntu's xulrunner[2], too, since January, you should be able to
use the unmodified Debian package.

  [2] http://repo.or.cz/w/conkeror.git/commitdiff/cbc2e88fe750160adad66d8f8648493856e78c88

I would really appreciate it, if a version including those two commits
would be included in Lucid.

  Regards, Axel (Debian maintainer of conkeror)
--
 ,''`. | Axel Beckert <email address hidden>, http://people.debian.org/~abe/
: :' : | Debian Developer, ftp.ch.debian.org Admin
`. `' | 1024D: F067 EA27 26B9 C3FC 1486 202E C09E 1D89 9593 0EDE
  `- | 4096R: 2517 B724 C5F6 CA99 5329 6E61 2FF9 CD59 6126 16B5

Micah Gersten (micahg) wrote :

Assigning to you as you were assigned in that metabug.

Changed in conkeror (Ubuntu):
assignee: nobody → Axel Beckert (xtaran)
importance: Undecided → Medium
milestone: none → ubuntu-10.04-beta-2
status: New → In Progress
Micah Gersten (micahg) wrote :

@Axel Beckert

If you can let us know when the next version gets uploaded to debian unstable, we can do some testing here.
Thanks.

Micah Gersten wrote:
> If you can let us know when the next version gets uploaded to debian
> unstable, we can do some testing here.

New version (0.9.1+git100317-1) just uploaded to Debian unstable.

I though have to admit that I forgot that xulrunner-1.9.2 support was
already in the last upload, i.e. in the version currently in Debian
testing.

So feel free to use the version currently in testing
(0.9.1+git100220-1) if the upstream changes in the last three weeks
are too obstrusive or buggy. (In the latter case I would appreciate
bug reports. :-)

  Regards, Axel
--
 ,''`. | Axel Beckert <email address hidden>, http://people.debian.org/~abe/
: :' : | Debian Developer, ftp.ch.debian.org Admin
`. `' | 1024D: F067 EA27 26B9 C3FC 1486 202E C09E 1D89 9593 0EDE
  `- | 4096R: 2517 B724 C5F6 CA99 5329 6E61 2FF9 CD59 6126 16B5

Thanks Axel, I'll request the testing version get sync'd.

summary: - Port conkeror to xulrunner-1.9.2
+ [FFe] request sync of conkeror 0.9.1+git100220-1 from debian testing
description: updated
Changed in conkeror (Ubuntu):
assignee: Axel Beckert (xtaran) → nobody
status: In Progress → New
Micah Gersten (micahg) on 2010-03-17
summary: - [FFe] request sync of conkeror 0.9.1+git100220-1 from debian testing
+ [FFe] request merge of conkeror 0.9.1+git100220-1 from debian testing
summary: - [FFe] request merge of conkeror 0.9.1+git100220-1 from debian testing
+ [FFe] merge conkeror 0.9.1+git100220-1 from debian testing to get
+ xulrunner-1.9.2 support
Changed in conkeror (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
status: New → In Progress
Micah Gersten (micahg) wrote :

Debdiff for merge...pending approval from release team

Micah Gersten (micahg) wrote :
Micah Gersten (micahg) wrote :

Pending release team approval before assigning sponsors team.

Changed in conkeror (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Confirmed
Micah Gersten (micahg) wrote :

New debdiff since a newer Ubuntu revision accidentally got uploaded to Lucid.

Steve Langasek (vorlon) wrote :

Is there a summary available of the upstream changes (in particular, any changes that aren't straightforward bugfixes)? If there are non-bugfix changes here, why do these warrant a freeze exception?

Changed in conkeror (Ubuntu):
status: Confirmed → Incomplete

Steve Langasek wrote:
> Is there a summary available of the upstream changes (in particular, any
> changes that aren't straightforward bugfixes)?

Since the current package is from more than one year ago, there surely
are.

> If there are non-bugfix changes here, why do these warrant a freeze
> exception?

The main reason is that the package was out of sync with Debian for a
while because it didn't work anymore with Ubuntu's xulrunner (which
doesn't allow xulrunner-stub to be symlinked) and hasn't been synced
anymore after that problem has been fixed in Debian in January.

I asked Alexander Sack several times since January to have a look at
this, but the only reply that I got was that the package may be kicked
out anyway due to Mozilla's new release policy. Maybe that's the
reason why nobody synced it earlier.

  Regards, Axel
--
 ,''`. | Axel Beckert <email address hidden>, http://people.debian.org/~abe/
: :' : | Debian Developer, ftp.ch.debian.org Admin
`. `' | 1024D: F067 EA27 26B9 C3FC 1486 202E C09E 1D89 9593 0EDE
  `- | 4096R: 2517 B724 C5F6 CA99 5329 6E61 2FF9 CD59 6126 16B5

Alexander Sack (asac) wrote :

the package is in universe ... not sure why ubuntu-release was subscribed rather than motu-release.

the rational that justifies this change is that its compatible with xulrunner 1.9.2 ... if we dont sync it we would need to remove it from the archive due to security issues.

Micah/Chris, did we test that it works well? If not, can we get this in a ppa first so we can verify if it just works (tm)?

Axel Beckert (xtaran) wrote :

Hi,

Alexander Sack wrote:
> the rational that justifies this change is that its compatible with
> xulrunner 1.9.2 ... if we dont sync it we would need to remove it from
> the archive due to security issues.

Another point is that the version from Feb. '09 hasn't been tested at
all with xulrunner 1.9.2 by upstream while the current version in
Debian Testing has been tested and verified to work wit 1.9.2 by upstream.

  Regards, Axel
--
 ,''`. | Axel Beckert <email address hidden>, http://people.debian.org/~abe/
: :' : | Debian Developer, ftp.ch.debian.org Admin
`. `' | 1024D: F067 EA27 26B9 C3FC 1486 202E C09E 1D89 9593 0EDE
  `- | 4096R: 2517 B724 C5F6 CA99 5329 6E61 2FF9 CD59 6126 16B5

motu and ubuntu-release have been merged. ubuntu-release is the correct team.

On Mon, Mar 22, 2010 at 11:30:17AM -0000, Axel Beckert wrote:
> Steve Langasek wrote:
> > Is there a summary available of the upstream changes (in particular, any
> > changes that aren't straightforward bugfixes)?

> Since the current package is from more than one year ago, there surely
> are.

Right, but can you tell me what those are? Bugfixes don't require a Feature
Freeze exception, features do; if we're to grant a freeze exception, I want
to know what I'm excepting.

> > If there are non-bugfix changes here, why do these warrant a freeze
> > exception?

> The main reason is that the package was out of sync with Debian for a
> while because it didn't work anymore with Ubuntu's xulrunner (which
> doesn't allow xulrunner-stub to be symlinked) and hasn't been synced
> anymore after that problem has been fixed in Debian in January.

OTOH, you've also pointed out the two commits you care about; so if the
update as a whole seems risky due to the non-bugfix changes, is there a
reason not to cherry-pick just those changes?

Cheers,
--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Axel Beckert (xtaran) wrote :

Steve Langasek wrote:
> On Mon, Mar 22, 2010 at 11:30:17AM -0000, Axel Beckert wrote:
> > Steve Langasek wrote:
> > > Is there a summary available of the upstream changes (in particular, any
> > > changes that aren't straightforward bugfixes)?
> >
> > Since the current package is from more than one year ago, there surely
> > are.
>
> Right, but can you tell me what those are?

Attached the git log between those two Debian package releases (tagged
debian-0.9--git090223-1 and debian-0.9.1+git100220-1 in the git repo).
You can also read the git log online at
http://repo.or.cz/w/conkeror.git/shortlog, but I find the plain text
version easier to read. Breaking Changes are documented in the wiki at
http://conkeror.org/BreakingChanges anyway. But this does not include
all non-bugfix changes.

If necessary, I can try to summarise what changes are neither bugfixes
nor relevant for the package (like the scripts for the nightly
builds).

> > > If there are non-bugfix changes here, why do these warrant a freeze
> > > exception?
> >
> > The main reason is that the package was out of sync with Debian for a
> > while because it didn't work anymore with Ubuntu's xulrunner (which
> > doesn't allow xulrunner-stub to be symlinked) and hasn't been synced
> > anymore after that problem has been fixed in Debian in January.
>
> OTOH, you've also pointed out the two commits you care about;

Three things actually, of which I can pinpoint only two to
commits:

  + Debian package supports Ubuntu again
    (http://repo.or.cz/w/conkeror.git/commitdiff/e6faed1dbbc896ca2023e9b793348be3e452975d)
  + Debian package supports xulrunner-1.9.2
    (http://repo.or.cz/w/conkeror.git/commitdiff/cbc2e88fe750160adad66d8f8648493856e78c88
    and http://repo.or.cz/w/conkeror.git/commitdiff/8d11dbc5f3c49e9bca0ba8512f79aaa0b2c56f03)
  + Upstream tested with xulrunner 1.9.2 (not a single commit, but
    the knowledge, that upstream never tested the version currently in
    Ubuntu with xulrunner 1.9.2)

The first two are easy to cherry pick. The last one is not.

  Regards, Axel
--
 ,''`. | Axel Beckert <email address hidden>, http://people.debian.org/~abe/
: :' : | Debian Developer, ftp.ch.debian.org Admin
`. `' | 1024D: F067 EA27 26B9 C3FC 1486 202E C09E 1D89 9593 0EDE
  `- | 4096R: 2517 B724 C5F6 CA99 5329 6E61 2FF9 CD59 6126 16B5

Alexander Sack (asac) wrote :

Backportin/Cherry-picking doesnt make much sense. we are likely to miss a lot of details and will deliver a less stable experience than picking all upstream changes.

Lets wait for thorough testing. Most likely all is fine and this can just go in imo.

Micah Gersten (micahg) on 2010-03-22
description: updated
Micah Gersten (micahg) on 2010-03-22
description: updated
Alexander Sack (asac) wrote :

Quickly going through BreakingChanges posted above, it seems not many new features where added after all.

Most work seems to have gone into refining the user experience (aka keyboard interaction) - but not really new features; more

feature like things that stuck out are improvements to theming code (supporting real native toolkit themes) and a content handler rewrite.

StefanPotyra (sistpoty) wrote :

ACK, FFe approved, please go ahead.

Changed in conkeror (Ubuntu):
status: Incomplete → Confirmed
Micah Gersten (micahg) wrote :

Debdiff from Debian Version including last Ubuntu upload changelog entry

Micah Gersten (micahg) wrote :

New Debdiff for Lucid version with changelog from previous upload.

Micah Gersten (micahg) wrote :

asac informed me Depends needed to be only on xulrunner-1.9.2 so one more round of diffs...

Micah Gersten (micahg) wrote :
Chris Coulson (chrisccoulson) wrote :

Thanks, taking for sponsoring

Changed in conkeror (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
Micah Gersten (micahg) wrote :

conkeror (0.9.1+git100220-1ubuntu1) lucid; urgency=low

  * Merge from debian testing. Remaining changes:
    - debian/control: Change Depends to xulrunner-1.9.2 only (LP #537900)
 -- Micah Gersten <email address hidden> Fri, 26 Mar 2010 18:55:20 -0500

Changed in conkeror (Ubuntu):
status: Confirmed → Fix Released
Micah Gersten (micahg) wrote :

oops wrong bug...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers